## argyll 1.5.1

=== debian/changelog ===
argyll (1.5.1-8) unstable; urgency=medium

  * QA upload.
  * Add a symbols file for libicc2 and libimdi0.

 -- Iain Lane <laney@debian.org>  Mon, 09 Jun 2014 12:52:11 +0100

argyll (1.5.1-7) unstable; urgency=medium

  * QA upload.
  * debian/control: Bump udev recommended version to >= 196

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 May 2014 22:30:57 +0200

argyll (1.5.1-6) unstable; urgency=medium

  * QA upload.
  * debian/patches/03_usb-db.diff: Use hwdb builtin, instead of the obsolete
    usb-db in the udev rules.
  * debian/patches/06_fix_udev_rule.patch: Fix udev rules to actually work;
    ENV{ACL_MANAGE} has stopped working ages ago, and with logind it's now the
    "uaccess" tag. Dropping also consolekit from Recommends. (Closes: #746974)
  * debian/rules: Add libpam-systemd as a recommends to be sure we have a
    session registered, this is needed for the permissions on the devices.
  * debian/control: Build-depend on libtiff-dev rather than libtiff4-dev.
    (Closes: #733126)
  * debian/control: Drop Uploaders as the package has been orphaned
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 May 2014 21:36:24 +0200

argyll (1.5.1-5) unstable; urgency=low

  * Package orphaned. I don't intent to support the work of an agressive
    upstream author more longer and realy good luck for the next maintainer.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Aug 2013 14:18:29 +0200

argyll (1.5.1-4) unstable; urgency=low

  * Revert previous yajl patch this break argyll.
  * Regenerate all manpages.
  * Add colord and gir1.2-colordgtk-1.0 in Suggests.
  * Don't package .a and .la files.

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Aug 2013 15:51:54 +0200

argyll (1.5.1-3) unstable; urgency=low

  * Uptade patch 01_autotools-support with patch from bug report to link
    argyll against external yajl also add an one line patch called
    05_external-yajl (Closes: #544223)

 -- Christian Marillat <marillat@debian.org>  Fri, 02 Aug 2013 08:10:38 +0200

argyll (1.5.1-2) unstable; urgency=low

  * Package iccdump.1 and icclu.1 only in icc-utils package
    (Closes: #717990, # 717993).

 -- Christian Marillat <marillat@debian.org>  Sat, 27 Jul 2013 21:43:59 +0200

argyll (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Removed 03_kfreebsd patch.
  * Refresh 01_autotools-support patch (CLoses: 713545)
  * New patch 03_usb-db to add support for newer udev (Closes: 717504)

 -- Christian Marillat <marillat@debian.org>  Fri, 26 Jul 2013 16:25:19 +0200
