=== debian/control ===
Source: argyll
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://www.argyllcms.com/
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), libtiff-dev, libx11-dev, libxxf86vm-dev,
 x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev, x11proto-scrnsaver-dev,
 libxss-dev, libusbhid-dev [kfreebsd-any], autoconf, automake | automaken, libtool,
 quilt, libjpeg-dev, libusb-dev, dh-autoreconf

Package: argyll
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: argyll-bin
Recommends: libpam-systemd [linux-any], udev (>= 196) [linux-any]
Suggests: colord, gir1.2-colordgtk-1.0
Conflicts: argyll-bin
Description: Color Management System, calibrator and profiler
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 Spectral sample data is supported, allowing a selection of illuminants
 observer types, and paper fluorescent whitener additive compensation.
 Profiles can also incorporate source specific gamut mappings for perceptual
 and saturation intents. Gamut mapping and profile linking uses the CIECAM02
 appearance model, a unique gamut mapping algorithm, and a wide selection of
 rendering intents. It also includes code for the fastest portable 8 bit
 raster color conversion engine available anywhere, as well as support for
 fast, fully accurate 16 bit conversion. Device color gamuts can also be
 viewed and compared using a VRML viewer.

Package: argyll-dbg
Section: debug
Architecture: any
Priority: extra
Depends: argyll (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for argyll
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the debugging symbols for argyll, libicc and libimdi
 libraries

Package: icc-utils
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:   libicc2 (<< 2.12+argyll1.4.0-2)
Replaces: libicc2 (<< 2.12+argyll1.4.0-2)
Description: ICC profile I/O library
 The icclib is a set of routines which implement the reading and  
 writing of color profile files that conform to the International 
 Color Consortium (ICC) Profile Format Specification, Version 3.4.
 .
 This package contains two utilities :
 .
  * iccdump : dump an ICC file in human readable form.
  * icclu : translate colors through an ICC profile.

Package: libicc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libicc2 (= ${binary:Version}), ${misc:Depends}
Conflicts: argyll (<< 1.0.3+dfsg1-3)
Description: Development files for the ICC profile I/O library
 The icclib is a set of routines which implement the reading and
 writing of color profile files that conform to the International
 Color Consortium (ICC) Profile Format Specification, Version 3.4.
 .
 This package is needed to compile programs against libicc2, as
 it only includes the header files and static libraries (optionally)
 needed for compiling.

Package: libicc2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: argyll
Description: ICC profile I/O library
 The icclib is a set of routines which implement the reading and
 writing of color profile files that conform to the International
 Color Consortium (ICC) Profile Format Specification, Version 3.4.

Package: libimdi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libimdi0 (= ${binary:Version}), ${misc:Depends}
Conflicts: argyll (<< 1.3.0-3)
Description: Development files for the IMDI library
 The Interger Multi-Dimensional Interpolation routines provides a flexible
 and high performance system for applying color transforms to typical raster 
 pixel data.
 .
 This package is needed to compile programs against libimdi0, as
 it only includes the header files and static libraries (optionally)
 needed for compiling.

Package: libimdi0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: argyll (<< 1.3.0-3)
Description: Integer Multi-Dimensional Interpolation routines (IMDI) library
 The Interger Multi-Dimensional Interpolation routines provides a flexible
 and high performance system for applying color transforms to typical raster 
 pixel data.
