## argyll 1.6.3

=== debian/changelog ===
argyll (1.6.3-4) unstable; urgency=medium

  * debian/control:
    - On package argyll replace the wrong Replaces & Conflicts of argyll-bin
      with the right Breaks & Replaces to icc-utils (<< 1.6.3-1).
      (Closes: #767837)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 04 Nov 2014 07:59:20 +0100

argyll (1.6.3-3) unstable; urgency=medium

  * debian/control:
    - Replace Architecture: any with linux-any to prevent KFreeBSD-* and 
      hurd-i386 from build during unusable usb system (Closes: #762773).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 05 Oct 2014 19:31:16 +0200

argyll (1.6.3-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add Replaces: argyll (<< 1.6.3-1) and 
      Breaks (<< 1.6.3-1) to argyll-ref (Closes: #762780).
    - At argyll move argyll-doc from Depends to Suggests (Closes: #762850).
    - Remove from Build-Depends libusbhid-dev [kfreebsd-any].
    - Remove  ${shlibs:Depends} from Depends on argyll-doc and argyll-ref.
  * debian/patches/15_jam.patch:
    - To avoid use of the builtin libtiff and libjpeg add multiarch directories
      for searching libraries and header files by using DEB_HOST_MULTIARCH
      (Closes: #762772).
  * New debian/patches/20_hurd_PATH_MAX.patch:
    - Add missing PATH_MAX for hurd-i386 (Closes: #762774).
  * debian/rules:
    - Remove the move of the html docs into a subdirectory (Closes: #762771).
    - Remove useless BUILTIN_TIFF=false from JAMCMDLINE.
    - Remove "-A --link-doc=argyll-doc" from dh_installdocs (Closes: #762853).
  * debian/*.(postinst|preinst|postrm):
    - Replace dpkg-maintscript-helper dir_to_symlink to sysmlink_to_dir.
  * Remove useless debian/argyll.examples
  * Remove obsolete debian/patches/03_usb-db.diff.
  * New debian/patches/120_usb-db_new.patch: (Closes: #762887)
    - Instead of the obsolete usb-db use the builtin hwdb in the udev rules.
      Thanks to Michael Biebl <biebl@debian.org>
  * New debian/patches/25_kfreebsd.patch:
    - Prevent build errors on kfreebsd-* (Closes: #762773).
      Thanks to Steven Chamberlain <steven@pyro.eu.org>
  * New debian/README.debian with notes to KFreeBSD-*.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 29 Sep 2014 09:22:15 +0200

argyll (1.6.3-1) unstable; urgency=medium

  * New Maintainer (Closes: #720178).
  * New upstream release (Closes: #742658).
  * debian/rules:
    - Add get-orig-source.
    - Remove useless --with quilt from dh $@
    - Remove section for not included spyder2 firmware.
    - Rewrite for use of upstream build system.
  * debian/control:
    - Set myself as maintainer.
    - Update Build-Depends:
      + Remove automake | automaken
    - For previously not existing Vcs
      + Create a new git repository on alioth.
      + Add the fields Vcs-Browser and Vcs-Git.
    - Change Priority from optional to extra.
    - Remove useless packages:
      + icc-utils
        Now in argyll. Now only dummy package.
        Change section to oldlibs
      + libicc2 & libicc-dev
        Useless. Only linked to argyll & icc-utils.
      + libimdi0 & libimdi-dev
        Useless. Only linked to argyll & icc-utils.
    - Move documentation to new package argyll-doc 
      and symlink into the other packages.
    - Add Pre-Depends:
      * dpkg (>= 1.17.5) for use of the dpkg-maintscript-helper.
  * debian/copyright:
    - Rewrite into DEP-5 format.
    - Add myself to the list of authors for debian/*.
    - Add missing licenses and authors.
  * debian/*.1
    - Move to debian/man/*.1.
  * debian/man/*
    - Rewrite the help2man generated man pages (Closes: #670857)
  * debian/patches/
    - New 110_dispwin_segfault.patch to prevent segfault by
      wrong parameter (Closes: #700253)
    - Rewrite 03_usb-db.diff for new upstream release.
    - Remove patches that included into new upstream release or useless:
      + 01_autotools-support.diff
      + 02_firmware-package-builder.diff
      + 03_kfreebsd.diff
      + 04_CVE-2012-4405.diff
      + 05_external-yajl.diff
      + 06_fix_udev_rule.patch
  * New debian/*.(postinst|preinst|postrm):
      - Remove existing doc directory and replace it with
        a symlink to argyll-doc with dpkg-maintscript-helper dir_to_symlink.
  * debian/argyll.preinst:
      - Remove useless rm_conffile(). First version in Debian was 1.1.1-1,
        rm_conffile was for version less equal 1.1.0-3.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 17 Sep 2014 08:47:26 +0200
