=== debian/control ===
Source: argyll
Section: graphics
Priority: extra
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Standards-Version: 3.9.6
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 jam,
 libjpeg-dev,
 libtiff5-dev,
 libtool,
 libusb-dev,
 libx11-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxss-dev,
 libxxf86vm-dev,
 x11proto-scrnsaver-dev,
 x11proto-xf86vidmode-dev
Homepage: http://www.argyllcms.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/argyll.git

Package: argyll
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, argyll-ref
Pre-Depends:
 dpkg (>= 1.17.5)
Replaces: icc-utils (<< 1.6.3-1)
Breaks: icc-utils (<< 1.6.3-1)
Recommends: libpam-systemd [linux-any], udev (>= 196) [linux-any]
Suggests: argyll-doc, colord, gir1.2-colordgtk-1.0
Description: Color Management System, calibrator and profiler
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 Spectral sample data is supported, allowing a selection of illuminants
 observer types, and paper fluorescent whitener additive compensation.
 Profiles can also incorporate source specific gamut mappings for perceptual
 and saturation intents. Gamut mapping and profile linking uses the CIECAM02
 appearance model, a unique gamut mapping algorithm, and a wide selection of
 rendering intents. It also includes code for the fastest portable 8 bit
 raster color conversion engine available anywhere, as well as support for
 fast, fully accurate 16 bit conversion. Device color gamuts can also be
 viewed and compared using a VRML viewer.

Package: argyll-dbg
Section: debug
Architecture: linux-any
Depends: argyll (= ${binary:Version}), ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.17.5)
Description: debugging symbols for argyll
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the debugging symbols for argyll, libicc and libimdi
 libraries

Package: argyll-ref
Architecture: all
Depends: ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.17.5)
Replaces: argyll (<< 1.6.3-1)
Breaks: argyll (<< 1.6.3-1)
Description: Color Management System, calibrator and profiler (data files)
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the data files for argyll.

Package: argyll-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.17.5)
Description: Color Management System, calibrator and profiler (documentation)
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the documentation for argyll.

Package: icc-utils
Architecture: all
Section: oldlibs
Depends: argyll, ${misc:Depends}
Breaks: libicc2 (<< 2.12+argyll1.4.0-2)
Replaces: libicc2 (<< 2.12+argyll1.4.0-2)
Description: ICC profile I/O library (transitional package)
 The icclib is a set of routines which implement the reading and
 writing of color profile files that conform to the International
 Color Consortium (ICC) Profile Format Specification, Version 3.4.
 .
 This package is a transitional dummy package. The iccdump & 
 icclu are now in argyll.
