## argyll 1.7.0+repack

=== debian/changelog ===
argyll (1.7.0+repack-4) unstable; urgency=medium

  * debian/rules:
    - Add --utc to the command date for CRDATE to make the results
      reproducible over different timezones.
  * New debian/patches/30_gcc5.patch:
    - Add gcc-5 support (Closes: #777779).
      + Thanks to James Cowgill <james410@cowgill.org.uk>.
  * Re-enable and refresh debian/patches/20_hurd_PATH_MAX.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 05 Jul 2015 12:30:03 +0200

argyll (1.7.0+repack-3) unstable; urgency=medium

  * debian/watch:
    - change opts to support for "+repack".
  * debian/patches/15_jam.patch:
    - Add support for mips64el (Closes: #788447).
  * debian/control:
    - Correct some priorities.
    - Remove package icc-utils because last version
      in stable is greater then 1.6.3-1.
  * Remove useless debian/argyll.lintian-overrides.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 12 Jun 2015 12:13:59 +0200

argyll (1.7.0+repack-2) unstable; urgency=medium

  * debian/patches/15_jam.patch:
    - Rewrite rules to find libraries on all architectures.
  * debian/control:
    - Add zlib1g-dev to Build-Depends.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 04 May 2015 10:15:34 +0200

argyll (1.7.0+repack-1) unstable; urgency=low

  * Set package type to +repack.
  * debian/control:
    - Add libpng12-dev to build-Depends.
    - Set Priority to optional.
    - At package icc-utils and argyll-dbg set the Priority to extra.
  * Make debian/man/scanin.1 more readable (LP: #1192368).
  * Make build results reproducible:
    - debian/rules:
      + Replace build timestamps from ref files with date/time from
        debian/changelog.
    - debian/control:
      + Add dpkg-dev to Build-Depends.
  * debian/rules:
    - get-orig-source:
      + Remove unwanted Windows binaries.
      + Remove unused sources: tiff, jpeg, zlib, png.
    - Add ls2ti3 to build-manpages.
    - New override_dh_compress:
      + Don't compress html files.
  * debian/copyright:
    - Remove unused tags.
    - Add new files.
    - Set year 2015.
    - Reorder files to prevend lintian warnings.
  * Remove patches:
    - 120_usb-db_new.patch applied upstream.
    - 20_hurd_PATH_MAX.patch & 25_kfreebsd.patch not more needed.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 03 May 2015 19:36:05 +0200
