=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: argyll
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
+ dpkg-dev (>= 1.17.0),
  jam,
  libjpeg-dev,
+ libpng12-dev,
  libtiff5-dev,
  libtool,
  libusb-dev,
@@ -17,7 +19,8 @@
  libxss-dev,
  libxxf86vm-dev,
  x11proto-scrnsaver-dev,
- x11proto-xf86vidmode-dev
+ x11proto-xf86vidmode-dev,
+ zlib1g-dev
 Homepage: http://www.argyllcms.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/argyll.git
@@ -27,8 +30,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, argyll-ref
 Pre-Depends:
  dpkg (>= 1.17.5)
-Replaces: icc-utils (<< 1.6.3-1)
-Breaks: icc-utils (<< 1.6.3-1)
 Recommends: libpam-systemd [linux-any], udev (>= 196) [linux-any]
 Suggests: argyll-doc, colord, gir1.2-colordgtk-1.0
 Description: Color Management System, calibrator and profiler
@@ -47,6 +48,7 @@
 
 Package: argyll-dbg
 Section: debug
+Priority: extra
 Architecture: linux-any
 Depends: argyll (= ${binary:Version}), ${misc:Depends}
 Pre-Depends:
@@ -76,6 +78,7 @@
 Package: argyll-doc
 Architecture: all
 Section: doc
+Priority: extra
 Depends: ${misc:Depends}
 Pre-Depends:
  dpkg (>= 1.17.5)
@@ -85,17 +88,3 @@
  printers, film recorders and calibration and profiling of displays.
  .
  This package contains the documentation for argyll.
-
-Package: icc-utils
-Architecture: all
-Section: oldlibs
-Depends: argyll, ${misc:Depends}
-Breaks: libicc2 (<< 2.12+argyll1.4.0-2)
-Replaces: libicc2 (<< 2.12+argyll1.4.0-2)
-Description: ICC profile I/O library (transitional package)
- The icclib is a set of routines which implement the reading and
- writing of color profile files that conform to the International
- Color Consortium (ICC) Profile Format Specification, Version 3.4.
- .
- This package is a transitional dummy package. The iccdump & 
- icclu are now in argyll.
