=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,40 @@
 #!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 export DH_OPTIONS
 
 NO_PROC=$(shell cat /proc/cpuinfo | grep processor | wc -l)
 
 JAMCMDLINE = -q -fJambase -j$(NO_PROC) -sPREFIX=/usr -sDESTDIR=$(CURDIR)/debian/tmp  -sREFSUBDIR=share/color/argyll/ref
+CHDATE=$(shell dpkg-parsechangelog -S Date)
+CRDATE=$(shell date --utc -d "$(CHDATE)" "+%a %b %d %T %Y")
+
+#
+# Test for gcc-5 support
+#
+#export CC=gcc-5
+#export CXX=g++-5
+
 
 %:
 	dh $@
 
 override_dh_auto_build:
+	gcc --version
 	jam $(JAMCMDLINE) all
 
 override_dh_auto_install:
 	jam $(JAMCMDLINE) dirs
 	jam $(JAMCMDLINE) install
 	rm $(CURDIR)/debian/tmp/usr/bin/License.txt
+	#
+	# Make build results reproducible.
+	#
+	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/RefMediumGamut.gam
+	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/linear.cal
+	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/strange.cal
 
 override_dh_installdocs:
 	dh_installdocs
@@ -30,6 +49,12 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=argyll-dbg
+
+override_dh_builddeb:
+	dh_builddeb
+
+override_dh_compress:
+	dh_compress -X.html
 
 build-manpages:
 	help2man -N --no-discard-stderr --name="Apply device calibration to an ICC profile." debian/tmp/usr/bin/applycal > debian/man/applycal.1
@@ -78,12 +103,8 @@
 	help2man -N --no-discard-stderr --name="Convert Gretag/Logo or X-Rite ColorPport raw RGB or CMYK device profile data to Argyll CGATS data." debian/tmp/usr/bin/txt2ti3 > debian/man/txt2ti3.1
 	help2man -N --no-discard-stderr --name="View gamuts." debian/tmp/usr/bin/viewgam > debian/man/viewgam.1
 	help2man -N --no-discard-stderr --name="Translate colors through an xicc." debian/tmp/usr/bin/xicclu > debian/man/xicclu.1
+	help2man -N --no-discard-stderr --name="Convert LightSpace raw RGB device profile data to Argyll CGATS dat" debian/tmp/usr/bin/ls2ti3 > debian/man/ls2ti3.1
 
 VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')
 
 get-orig-source: 
-	wget http://www.argyllcms.com/Argyll_V${VERSION}_src.zip -O ../Argyll_V${VERSION}_src.zip
-	unzip ../Argyll_V${VERSION}_src.zip  -d ../
-	mv ../Argyll_V${VERSION} ../argyll_${VERSION}
-	tar cJf ../argyll_${VERSION}.orig.tar.xz ../argyll_${VERSION}
-	rm -fr ../argyll_${VERSION} ../Argyll_V${VERSION}_src.zip
