=== debian/watch ===
version=3

#opts="dversionmangle=s/\+repack\d+$//" http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
opts=dversionmangle=s/\+repack(.*)// \
http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
