## argyll 1.8.3%2Brepack

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  dpkg-dev (>= 1.17.0),
  jam,
  libjpeg-dev,
- libpng12-dev,
+ libssl-dev,
+ libpng-dev,
  libtiff5-dev,
  libtool,
- libusb-dev,
+ libusb-1.0-0-dev,
  libx11-dev,
  libxinerama-dev,
  libxrandr-dev,
@@ -63,6 +64,7 @@
 
 Package: argyll-ref
 Architecture: all
+Priority: extra
 Depends: ${misc:Depends}
 Pre-Depends:
  dpkg (>= 1.17.5)
