=== debian/changelog ===
argyll (1.8.3+repack-2) unstable; urgency=medium

  * debian/copyright: Add 2016.
  * debian/control:
    - Transition libpng: Change Build-Depends from libpng16-dev to libpng-dev
      (Closes: #810178).
    - Transition libusb: Change Build-Depends from libusb-dev to 
      libusb-1.0-0-dev (Closes: #810398).
    - Set priority of argyll-ref to extra.
  * Rename patches.
  * Refresh debian/patches/0100_spelling.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 17 Jan 2016 18:59:21 +0100

argyll (1.8.3+repack-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Move download and repack from debian/rules to uscan:
    - Add debian debian/repack.sh to debian/watch.
    - New debian/repack.sh.
    - Remove get-orig-source from debian/rules.
  * debian/rules:
    - Remove tests for the gcc-5 transition.
  * Rename debian/missing-sources/x3dom.debug.js to x3dom.js.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 06 Nov 2015 09:03:08 +0100

argyll (1.8.2+repack-1) unstable; urgency=medium

  * New upstream release.
  * Add x3dom.debug.js to debian/missing-sources.
  * debian/control:
    - For use of the system library instead of the Argyll library
      add libssl-dev to Build-Depends
  * debian/patches/100_spelling.patch:
    - Add some more typos.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 30 Sep 2015 16:03:54 +0200

argyll (1.8.0+repack-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches:
    - debian/patches/15_jam.patch
    - debian/patches/100_spelling.patch
    - debian/patches/110_dispwin_segfault.patch
  * debian/rules:
    - Rewrite VERSION sniplet.
    - get-orig-source:
      + Remove executable flag from source.
  * Refresh debian/copyright.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 23 Aug 2015 17:27:26 +0200
