=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,10 @@
 CHDATE=$(shell dpkg-parsechangelog -S Date)
 CRDATE=$(shell date --utc -d "$(CHDATE)" "+%a %b %d %T %Y")
 
-#
-# Test for gcc-5 support
-#
-#export CC=gcc-5
-#export CXX=g++-5
-
-
 %:
 	dh $@
 
 override_dh_auto_build:
-	gcc --version
 	jam $(JAMCMDLINE) all
 
 override_dh_auto_install:
@@ -104,7 +96,3 @@
 	help2man -N --no-discard-stderr --name="View gamuts." debian/tmp/usr/bin/viewgam > debian/man/viewgam.1
 	help2man -N --no-discard-stderr --name="Translate colors through an xicc." debian/tmp/usr/bin/xicclu > debian/man/xicclu.1
 	help2man -N --no-discard-stderr --name="Convert LightSpace raw RGB device profile data to Argyll CGATS dat" debian/tmp/usr/bin/ls2ti3 > debian/man/ls2ti3.1
-
-VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')
-
-get-orig-source:
