## argyll 1.9.2+repack

=== debian/changelog ===
argyll (1.9.2+repack-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Bump compat to 10:
    - Change debian/compat to 10.
    - Change debhelper version at debian/control to >= 10.
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change VCS-Browser to secure URI.
  * debian/copyright:
    - Add year 2016 for upstream.
  * debian/rules:
    - Make the build reproducible (Closes: #835265).
      (Thanks to Chris Lamb <lamby@debian.org>)
    - Remove License4.txt from argyll-doc.
  * debian/watch:
    - Bump Version to 4 (no changes required).
  * Enable hardening:
    - Refresh debian/patches/0001_jam.patch.
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS at debian/rules.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 23 Oct 2016 03:37:00 +0200
