=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-autoreconf,
  dpkg-dev (>= 1.17.0),
  jam,
@@ -24,7 +24,7 @@
  zlib1g-dev
 Homepage: http://www.argyllcms.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/argyll.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/argyll.git
 
 Package: argyll
 Architecture: linux-any
