=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,14 @@
 
 export DH_OPTIONS
 
+# hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 NO_PROC=$(shell cat /proc/cpuinfo | grep processor | wc -l)
 
 JAMCMDLINE = -q -fJambase -j$(NO_PROC) -sPREFIX=/usr -sDESTDIR=$(CURDIR)/debian/tmp  -sREFSUBDIR=share/color/argyll/ref
 CHDATE=$(shell dpkg-parsechangelog -S Date)
-CRDATE=$(shell date --utc -d "$(CHDATE)" "+%a %b %d %T %Y")
+CRDATE=$(shell LC_ALL=C date --utc -d "$(CHDATE)" "+%a %b %d %T %Y")
 
 %:
 	dh $@
@@ -33,6 +36,7 @@
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License2.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License3.txt
+	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License4.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/DocLicense.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/afiles
